Subject: Re: [bug#75145] [PATCH v2 0/1] services: network-manager: Add extra-configuration-files field.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 21 Jan 2025 13:43:51 +0900

Hi,

Arnaud Daby-Seesaram <[email-masked]> writes:

[...]

>> When we use `etc-service-type`, "/etc/NetworkManager" becomes a symlink
>> to "/etc/static/NetworkManager"; and "/etc/static" is a symlink to the
>> result of building the derivation returned by `etc-entry` (see (gnu
>> services)). And derivations are in the store, which is read-only. So we
>> can't create "/etc/NetworkManager/system-connections/". And this won't
>> do, since NetworkManager itself needs to be able to write to that
>> directory to manage saved connections.
>>
>> So it looks like that won't work.
>
> That is unfortunate; thank you for trying it out!
>
> Re-reading your patch and the implementation of `etc-service-type',
> maybe `network-manager-configuration-directory' could be replaced by
> `file-union' defined in `(guix gexp)', WDYT?
>
> Otherwise, your patch seems good to me :).  I will let others comment
> and give their opinion.

A file-union also result in a read-only directory in the store, so if
NetworkManager needs write access to that location, that also wouldn't
work.

-- 
Thanks,
Maxim